## AgsProgramControlNameKeyManager

AgsProgramControlNameKeyManager — The program control name to key manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_PROGRAM_CONTROL_NAME_KEY_MANAGER_GET_OBJ_MUTEX()
GRecMutex * | ags_program_control_name_key_manager_get_obj_mutex ()
gpointer | ags_program_control_name_key_manager_find_program ()
AgsProgramControlNameKeyManager * | ags_program_control_name_key_manager_get_instance ()
AgsProgramControlNameKeyManager * | ags_program_control_name_key_manager_new ()

## Properties

gpointer | control-name-key | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsProgramControlNameKeyManager

## Includes

    #include <ags/audio/ags_program_control_name_key_manager.h>

## Description

AgsProgramControlNameKeyManager maps program control names to keys.

## Functions

### AGS_PROGRAM_CONTROL_NAME_KEY_MANAGER_GET_OBJ_MUTEX()

    #define AGS_PROGRAM_CONTROL_NAME_KEY_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsProgramControlNameKeyManager *) obj)->obj_mutex))

### ags_program_control_name_key_manager_get_obj_mutex ()

    GRecMutex *
    ags_program_control_name_key_manager_get_obj_mutex
                                   (AgsProgramControlNameKeyManager *program_control_name_key_manager);

### ags_program_control_name_key_manager_find_program ()

    gpointer
    ags_program_control_name_key_manager_find_program
                                   (AgsProgramControlNameKeyManager *program_control_name_key_manager,
                                    gchar *control_name);

Lookup control name of program or insert it and get its program key.

#### Parameters

program_control_name_key_manager | the AgsProgramControlNameKeyManager |
control_name | the program's control name |

#### Returns

the key found or inserted.

[transfer none]

Since: 5.4.0

### ags_program_control_name_key_manager_get_instance ()

    AgsProgramControlNameKeyManager *
    ags_program_control_name_key_manager_get_instance
                                   ();

Get ags audio file manager instance.

#### Returns

the AgsProgramControlNameKeyManager singleton.

[transfer none]

Since: 5.4.0

### ags_program_control_name_key_manager_new ()

    AgsProgramControlNameKeyManager *
    ags_program_control_name_key_manager_new
                                   ();

Creates an AgsProgramControlNameKeyManager

#### Returns

a new AgsProgramControlNameKeyManager

Since: 5.4.0

## Property Details

### The `“control-name-key”` property

      “control-name-key”         gpointer

The GHashTable containing gpointer of key.

Owner: AgsProgramControlNameKeyManager

Flags: Read / Write

Since: 5.4.0